#include <stdio.h>
#include "kadai1.h"
int main(void) {
    URIAGE list[] = { {1,1},{2,2},{11,3},{12,4},{0} };
    double keisan;
    double kakaku[] = { 110,440,324,864 };
    double epsilon = 0.01;
    int i;
    for (i = 0; list[i].no != 0; i++) {
        keisan = printuriage(list[i]) - kakaku[i];
        if (keisan > -epsilon && keisan < epsilon) {
            printf("Ok\n");
        }
        else {
            printf("NG\n");
        }
    }
    return 0;
}
